Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 113951 - fix for linking/using ghostscript(libgs)
Summary: fix for linking/using ghostscript(libgs)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On: 88175
Blocks: 145466
TreeView+ depends on / blocked
 
Reported: 2004-01-20 16:21 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 05:00:18 UTC


Attachments (Terms of Use)
(properly) enable detection/use of libgs. (deleted)
2004-01-20 16:22 UTC, Rex Dieter
no flags Details | Diff

Description Rex Dieter 2004-01-20 16:21:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040117

Description of problem:
ImageMagick, while looking (in configure) for libgs support, assumes
/usr/include/ps, while ghostscript-7.07 installs headers to
/usr/include/ghostscript.

Included here is a patch to make ImageMagick-5.5.7 look in
/usr/include/ghostscript 
instead.

Version-Release number of selected component (if applicable):
5.5.7

Comment 1 Rex Dieter 2004-01-20 16:22:53 UTC
Created attachment 97129 [details]
(properly) enable detection/use of libgs.

Comment 2 Rex Dieter 2005-01-18 17:10:46 UTC
Still applies to rawhide's current (6.0.7.1) pkg.

Comment 3 Rex Dieter 2005-01-18 17:31:08 UTC
And use configure switch:
--with-gslib

Comment 4 Rex Dieter 2005-01-26 19:43:17 UTC
FYI, latest ImageMagick-6.1.9(.3) segfaults on jpeg processing with
this support enabled.  See upstream bug report:

http://studio.imagemagick.org/magick/viewtopic.php?p=10739

Comment 5 Matthias Clasen 2005-04-26 05:00:18 UTC
Fixed in rawhide. FC3 update will be pushed to testing tomorrow.


Note You need to log in before you can comment on or make changes to this bug.